e>
<meta name='generator' content='cgit 1.2.3-korg'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-data/cgit.css'/>
<script type='text/javascript' src='/cgit.js'></script>
<link rel='shortcut icon' href='/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='http://git.onap.org/cps/atom/docs/api/swagger/policy-executor/openapi.yaml?h=3.0.1' type='application/atom+xml'/>
<link rel='vcs-git' href='https://git.onap.org/cps' title='cps Git repository'/>
</head>
<body>
<div id="lfcollabprojects-header">
  <div class="gray-diagonal">
    <div class="header-inner">
      <a
        id="lfcollabprojects-logo"
        href="http://collabprojects.linuxfoundation.org"
        >Linux Foundation Collaborative Projects</a
      >
    </div>
  </div>
</div>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='/cgit-data/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/cps/'>cps</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='dac4c1efc44b5341f803ccd4a79a3a24320698c6'/><select name='h' onchange='this.form.submit();'>
<option value='honolulu'>honolulu</option>
<option value='istanbul'>istanbul</option>
<option value='jakarta'>jakarta</option>
<option value='kohn'>kohn</option>
<option value='london'>london</option>
<option value='master'>master</option>
<option value='montreal'>montreal</option>
<option value='newdelhi'>newdelhi</option>
<option value='oslo'>oslo</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>"cps"</td><td class='sub right'>Grokmirror user</td></tr></table>
<table class='tabs'><tr><td>
<a href='/cps/?h=3.0.1'>summary</a><a href='/cps/refs/?h=3.0.1&amp;id=dac4c1efc44b5341f803ccd4a79a3a24320698c6'>refs</a><a href='/cps/log/docs/api/swagger/policy-executor/openapi.yaml?h=3.0.1'>log</a><a class='active' href='/cps/tree/docs/api/swagger/policy-executor/openapi.yaml?h=3.0.1&amp;id=dac4c1efc44b5341f803ccd4a79a3a24320698c6'>tree</a><a href='/cps/commit/docs/api/swagger/policy-executor/openapi.yaml?h=3.0.1&amp;id=dac4c1efc44b5341f803ccd4a79a3a24320698c6'>commit</a><a href='/cps/diff/docs/api/swagger/policy-executor/openapi.yaml?h=3.0.1&amp;id=dac4c1efc44b5341f803ccd4a79a3a24320698c6'>diff</a><a href='/cps/stats/docs/api/swagger/policy-executor/openapi.yaml?h=3.0.1'>stats</a></td><td class='form'><form class='right' method='get' action='/cps/log/docs/api/swagger/policy-executor/openapi.yaml'>
<input type='hidden' name='h' value='3.0.1'/><input type='hidden' name='id' value='dac4c1efc44b5341f803ccd4a79a3a24320698c6'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/cps/tree/?h=3.0.1&amp;id=dac4c1efc44b5341f803ccd4a79a3a24320698c6'>root</a>/<a href='/cps/tree/docs?h=3.0.1&amp;id=dac4c1efc44b5341f803ccd4a79a3a24320698c6'>docs</a>/<a href='/cps/tree/docs/api?h=3.0.1&amp;id=dac4c1efc44b5341f803ccd4a79a3a24320698c6'>api</a>/<a href='/cps/tree/docs/api/swagger?h=3.0.1&amp;id=dac4c1efc44b5341f803ccd4a79a3a24320698c6'>swagger</a>/<a href='/cps/tree/docs/api/swagger/policy-executor?h=3.0.1&amp;id=dac4c1efc44b5341f803ccd4a79a3a24320698c6'>policy-executor</a>/<a href='/cps/tree/docs/api/swagger/policy-executor/openapi.yaml?h=3.0.1&amp;id=dac4c1efc44b5341f803ccd4a79a3a24320698c6'>openapi.yaml</a></div><div class='content'>blob: 6b73d98ed6d2798bcbfac03de551f6cb15ec8421 (<a href='/cps/plain/docs/api/swagger/policy-executor/openapi.yaml?h=3.0.1&amp;id=dac4c1efc44b5341f803ccd4a79a3a24320698c6'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
<a id='n47' href='#n47'>47</a>
<a id='n48' href='#n48'>48</a>
<a id='n49' href='#n49'>49</a>
<a id='n50' href='#n50'>50</a>
<a id='n51' href='#n51'>51</a>
<a id='n52' href='#n52'>52</a>
<a id='n53' href='#n53'>53</a>
<a id='n54' href='#n54'>54</a>
<a id='n55' href='#n55'>55</a>
<a id='n56' href='#n56'>56</a>
<a id='n57' href='#n57'>57</a>
<a id='n58' href='#n58'>58</a>
<a id='n59' href='#n59'>59</a>
<a id='n60' href='#n60'>60</a>
<a id='n61' href='#n61'>61</a>
<a id='n62' href='#n62'>62</a>
<a id='n63' href='#n63'>63</a>
<a id='n64' href='#n64'>64</a>
<a id='n65' href='#n65'>65</a>
<a id='n66' href='#n66'>66</a>
<a id='n67' href='#n67'>67</a>
<a id='n68' href='#n68'>68</a>
<a id='n69' href='#n69'>69</a>
<a id='n70' href='#n70'>70</a>
<a id='n71' href='#n71'>71</a>
<a id='n72' href='#n72'>72</a>
<a id='n73' href='#n73'>73</a>
<a id='n74' href='#n74'>74</a>
<a id='n75' href='#n75'>75</a>
<a id='n76' href='#n76'>76</a>
<a id='n77' href='#n77'>77</a>
<a id='n78' href='#n78'>78</a>
<a id='n79' href='#n79'>79</a>
<a id='n80' href='#n80'>80</a>
<a id='n81' href='#n81'>81</a>
<a id='n82' href='#n82'>82</a>
<a id='n83' href='#n83'>83</a>
<a id='n84' href='#n84'>84</a>
<a id='n85' href='#n85'>85</a>
<a id='n86' href='#n86'>86</a>
<a id='n87' href='#n87'>87</a>
<a id='n88' href='#n88'>88</a>
<a id='n89' href='#n89'>89</a>
<a id='n90' href='#n90'>90</a>
<a id='n91' href='#n91'>91</a>
<a id='n92' href='#n92'>92</a>
<a id='n93' href='#n93'>93</a>
<a id='n94' href='#n94'>94</a>
<a id='n95' href='#n95'>95</a>
<a id='n96' href='#n96'>96</a>
<a id='n97' href='#n97'>97</a>
<a id='n98' href='#n98'>98</a>
<a id='n99' href='#n99'>99</a>
<a id='n100' href='#n100'>100</a>
<a id='n101' href='#n101'>101</a>
<a id='n102' href='#n102'>102</a>
<a id='n103' href='#n103'>103</a>
<a id='n104' href='#n104'>104</a>
<a id='n105' href='#n105'>105</a>
<a id='n106' href='#n106'>106</a>
<a id='n107' href='#n107'>107</a>
<a id='n108' href='#n108'>108</a>
<a id='n109' href='#n109'>109</a>
<a id='n110' href='#n110'>110</a>
<a id='n111' href='#n111'>111</a>
<a id='n112' href='#n112'>112</a>
<a id='n113' href='#n113'>113</a>
<a id='n114' href='#n114'>114</a>
<a id='n115' href='#n115'>115</a>
<a id='n116' href='#n116'>116</a>
<a id='n117' href='#n117'>117</a>
<a id='n118' href='#n118'>118</a>
<a id='n119' href='#n119'>119</a>
<a id='n120' href='#n120'>120</a>
<a id='n121' href='#n121'>121</a>
<a id='n122' href='#n122'>122</a>
<a id='n123' href='#n123'>123</a>
<a id='n124' href='#n124'>124</a>
<a id='n125' href='#n125'>125</a>
<a id='n126' href='#n126'>126</a>
<a id='n127' href='#n127'>127</a>
<a id='n128' href='#n128'>128</a>
<a id='n129' href='#n129'>129</a>
<a id='n130' href='#n130'>130</a>
<a id='n131' href='#n131'>131</a>
<a id='n132' href='#n132'>132</a>
<a id='n133' href='#n133'>133</a>
<a id='n134' href='#n134'>134</a>
<a id='n135' href='#n135'>135</a>
<a id='n136' href='#n136'>136</a>
<a id='n137' href='#n137'>137</a>
<a id='n138' href='#n138'>138</a>
<a id='n139' href='#n139'>139</a>
<a id='n140' href='#n140'>140</a>
<a id='n141' href='#n141'>141</a>
<a id='n142' href='#n142'>142</a>
<a id='n143' href='#n143'>143</a>
<a id='n144' href='#n144'>144</a>
<a id='n145' href='#n145'>145</a>
<a id='n146' href='#n146'>146</a>
<a id='n147' href='#n147'>147</a>
<a id='n148' href='#n148'>148</a>
<a id='n149' href='#n149'>149</a>
<a id='n150' href='#n150'>150</a>
<a id='n151' href='#n151'>151</a>
<a id='n152' href='#n152'>152</a>
<a id='n153' href='#n153'>153</a>
<a id='n154' href='#n154'>154</a>
<a id='n155' href='#n155'>155</a>
<a id='n156' href='#n156'>156</a>
<a id='n157' href='#n157'>157</a>
<a id='n158' href='#n158'>158</a>
<a id='n159' href='#n159'>159</a>
<a id='n160' href='#n160'>160</a>
<a id='n161' href='#n161'>161</a>
<a id='n162' href='#n162'>162</a>
<a id='n163' href='#n163'>163</a>
<a id='n164' href='#n164'>164</a>
<a id='n165' href='#n165'>165</a>
<a id='n166' href='#n166'>166</a>
<a id='n167' href='#n167'>167</a>
<a id='n168' href='#n168'>168</a>
<a id='n169' href='#n169'>169</a>
<a id='n170' href='#n170'>170</a>
<a id='n171' href='#n171'>171</a>
<a id='n172' href='#n172'>172</a>
<a id='n173' href='#n173'>173</a>
<a id='n174' href='#n174'>174</a>
<a id='n175' href='#n175'>175</a>
<a id='n176' href='#n176'>176</a>
<a id='n177' href='#n177'>177</a>
<a id='n178' href='#n178'>178</a>
<a id='n179' href='#n179'>179</a>
<a id='n180' href='#n180'>180</a>
<a id='n181' href='#n181'>181</a>
<a id='n182' href='#n182'>182</a>
<a id='n183' href='#n183'>183</a>
<a id='n184' href='#n184'>184</a>
<a id='n185' href='#n185'>185</a>
<a id='n186' href='#n186'>186</a>
<a id='n187' href='#n187'>187</a>
<a id='n188' href='#n188'>188</a>
<a id='n189' href='#n189'>189</a>
<a id='n190' href='#n190'>190</a>
<a id='n191' href='#n191'>191</a>
<a id='n192' href='#n192'>192</a>
<a id='n193' href='#n193'>193</a>
<a id='n194' href='#n194'>194</a>
<a id='n195' href='#n195'>195</a>
<a id='n196' href='#n196'>196</a>
<a id='n197' href='#n197'>197</a>
<a id='n198' href='#n198'>198</a>
</pre></td>
<td class='lines'><pre><code><style>
@media only all and (prefers-color-scheme: dark) {
.highlight .hll { background-color: #49483e }
.highlight .c { color: #75715e } /* Comment */
.highlight .err { color: #960050; background-color: #1e0010 } /* Error */
.highlight .k { color: #66d9ef } /* Keyword */
.highlight .l { color: #ae81ff } /* Literal */
.highlight .n { color: #f8f8f2 } /* Name */
.highlight .o { color: #f92672 } /* Operator */
.highlight .p { color: #f8f8f2 } /* Punctuation */
.highlight .ch { color: #75715e } /* Comment.Hashbang */
.highlight .cm { color: #75715e } /* Comment.Multiline */
.highlight .cp { color: #75715e } /* Comment.Preproc */
.highlight .cpf { color: #75715e } /* Comment.PreprocFile */
.highlight .c1 { color: #75715e } /* Comment.Single */
.highlight .cs { color: #75715e } /* Comment.Special */
.highlight .gd { color: #f92672 } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .gi { color: #a6e22e } /* Generic.Inserted */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #75715e } /* Generic.Subheading */
.highlight .kc { color: #66d9ef } /* Keyword.Constant */
.highlight .kd { color: #66d9ef } /* Keyword.Declaration */
.highlight .kn { color: #f92672 } /* Keyword.Namespace */
.highlight .kp { color: #66d9ef } /* Keyword.Pseudo */
.highlight .kr { color: #66d9ef } /* Keyword.Reserved */
.highlight .kt { color: #66d9ef } /* Keyword.Type */
.highlight .ld { color: #e6db74 } /* Literal.Date */
.highlight .m { color: #ae81ff } /* Literal.Number */
.highlight .s { color: #e6db74 } /* Literal.String */
.highlight .na { color: #a6e22e } /* Name.Attribute */
.highlight .nb { color: #f8f8f2 } /* Name.Builtin */
.highlight .nc { color: #a6e22e } /* Name.Class */
.highlight .no { color: #66d9ef } /* Name.Constant */
.highlight .nd { color: #a6e22e } /* Name.Decorator */
.highlight .ni { color: #f8f8f2 } /* Name.Entity */
.highlight .ne { color: #a6e22e } /* Name.Exception */
.highlight .nf { color: #a6e22e } /* Name.Function */
.highlight .nl { color: #f8f8f2 } /* Name.Label */
.highlight .nn { color: #f8f8f2 } /* Name.Namespace */
.highlight .nx { color: #a6e22e } /* Name.Other */
.highlight .py { color: #f8f8f2 } /* Name.Property */
.highlight .nt { color: #f92672 } /* Name.Tag */
.highlight .nv { color: #f8f8f2 } /* Name.Variable */
.highlight .ow { color: #f92672 } /* Operator.Word */
.highlight .w { color: #f8f8f2 } /* Text.Whitespace */
.highlight .mb { color: #ae81ff } /* Literal.Number.Bin */
.highlight .mf { color: #ae81ff } /* Literal.Number.Float */
.highlight .mh { color: #ae81ff } /* Literal.Number.Hex */
.highlight .mi { color: #ae81ff } /* Literal.Number.Integer */
.highlight .mo { color: #ae81ff } /* Literal.Number.Oct */
.highlight .sa { color: #e6db74 } /* Literal.String.Affix */
.highlight .sb { color: #e6db74 } /* Literal.String.Backtick */
.highlight .sc { color: #e6db74 } /* Literal.String.Char */
.highlight .dl { color: #e6db74 } /* Literal.String.Delimiter */
.highlight .sd { color: #e6db74 } /* Literal.String.Doc */
.highlight .s2 { color: #e6db74 } /* Literal.String.Double */
.highlight .se { color: #ae81ff } /* Literal.String.Escape */
.highlight .sh { color: #e6db74 } /* Literal.String.Heredoc */
.highlight .si { color: #e6db74 } /* Literal.String.Interpol */
.highlight .sx { color: #e6db74 } /* Literal.String.Other */
.highlight .sr { color: #e6db74 } /* Literal.String.Regex */
.highlight .s1 { color: #e6db74 } /* Literal.String.Single */
.highlight .ss { color: #e6db74 } /* Literal.String.Symbol */
.highlight .bp { color: #f8f8f2 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #a6e22e } /* Name.Function.Magic */
.highlight .vc { color: #f8f8f2 } /* Name.Variable.Class */
.highlight .vg { color: #f8f8f2 } /* Name.Variable.Global */
.highlight .vi { color: #f8f8f2 } /* Name.Variable.Instance */
.highlight .vm { color: #f8f8f2 } /* Name.Variable.Magic */
.highlight .il { color: #ae81ff } /* Literal.Number.Integer.Long */
}
@media (prefers-color-scheme: light) {
.highlight .hll { background-color: #ffffcc }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */
}
</style><div class="highlight"><pre><span></span><span class="c1">#  ============LICENSE_START=======================================================</span>
<span class="c1">#  Copyright (C) 2024 Nordix Foundation</span>
<span class="c1">#  ================================================================================</span>
<span class="c1">#  Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);</span>
<span class="c1">#  you may not use this file except in compliance with the License.</span>
<span class="c1">#  You may obtain a copy of the License at</span>
<span class="c1">#</span>
<span class="c1">#        http://www.apache.org/licenses/LICENSE-2.0</span>
<span class="c1">#</span>
<span class="c1">#  Unless required by applicable law or agreed to in writing, software</span>
<span class="c1">#  distributed under the License is distributed on an &quot;AS IS&quot; BASIS,</span>
<span class="c1">#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.</span>
<span class="c1">#  See the License for the specific language governing permissions and</span>
<span class="c1">#  limitations under the License.</span>
<span class="c1">#</span>
<span class="c1">#  SPDX-License-Identifier: Apache-2.0</span>
<span class="c1">#  ============LICENSE_END=========================================================</span>

<span class="nt">openapi</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">3.0.3</span>
<span class="nt">info</span><span class="p">:</span>
  <span class="nt">title</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">Policy Executor</span>
  <span class="nt">description</span><span class="p">:</span> <span class="s">&quot;Allows</span><span class="nv"> </span><span class="s">NCMP</span><span class="nv"> </span><span class="s">to</span><span class="nv"> </span><span class="s">execute</span><span class="nv"> </span><span class="s">a</span><span class="nv"> </span><span class="s">policy</span><span class="nv"> </span><span class="s">defined</span><span class="nv"> </span><span class="s">by</span><span class="nv"> </span><span class="s">a</span><span class="nv"> </span><span class="s">third</span><span class="nv"> </span><span class="s">party</span><span class="nv"> </span><span class="s">implementation</span><span class="nv"> </span><span class="s">before</span><span class="nv"> </span><span class="s">proceeding</span><span class="nv"> </span><span class="s">with</span><span class="nv"> </span><span class="s">a</span><span class="nv"> </span><span class="s">CM</span><span class="nv"> </span><span class="s">operation&quot;</span>
  <span class="nt">version</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">1.0.0</span>
<span class="nt">tags</span><span class="p">:</span>
  <span class="p p-Indicator">-</span> <span class="nt">name</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">policy-executor</span>
    <span class="nt">description</span><span class="p">:</span> <span class="s">&quot;Execute</span><span class="nv"> </span><span class="s">all</span><span class="nv"> </span><span class="s">your</span><span class="nv"> </span><span class="s">policies&quot;</span>
<span class="nt">paths</span><span class="p">:</span>
  <span class="l l-Scalar l-Scalar-Plain">/policy-executor/api/v1/{action}</span><span class="p p-Indicator">:</span>
    <span class="nt">post</span><span class="p">:</span>
      <span class="nt">description</span><span class="p">:</span> <span class="s">&quot;Fire</span><span class="nv"> </span><span class="s">a</span><span class="nv"> </span><span class="s">Policy</span><span class="nv"> </span><span class="s">action&quot;</span>
      <span class="nt">operationId</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">executePolicyAction</span>
      <span class="nt">parameters</span><span class="p">:</span>
        <span class="p p-Indicator">-</span> <span class="nt">$ref</span><span class="p">:</span> <span class="s">&#39;#/components/parameters/authorizationInHeader&#39;</span>
        <span class="p p-Indicator">-</span> <span class="nt">$ref</span><span class="p">:</span> <span class="s">&#39;#/components/parameters/actionInPath&#39;</span>
      <span class="nt">requestBody</span><span class="p">:</span>
        <span class="nt">required</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">true</span>
        <span class="nt">description</span><span class="p">:</span> <span class="s">&quot;The</span><span class="nv"> </span><span class="s">action</span><span class="nv"> </span><span class="s">request</span><span class="nv"> </span><span class="s">body&quot;</span>
        <span class="nt">content</span><span class="p">:</span>
          <span class="nt">application/json</span><span class="p">:</span>
            <span class="nt">schema</span><span class="p">:</span>
              <span class="nt">$ref</span><span class="p">:</span> <span class="s">&#39;#/components/schemas/PolicyExecutionRequest&#39;</span>
      <span class="nt">tags</span><span class="p">:</span>
        <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">policy-executor</span>
      <span class="nt">responses</span><span class="p">:</span>
        <span class="s">&#39;200&#39;</span><span class="p p-Indicator">:</span>
          <span class="nt">description</span><span class="p">:</span> <span class="s">&quot;Successful</span><span class="nv"> </span><span class="s">policy</span><span class="nv"> </span><span class="s">execution&quot;</span>
          <span class="nt">content</span><span class="p">:</span>
            <span class="nt">application/json</span><span class="p">:</span>
              <span class="nt">schema</span><span class="p">:</span>
                <span class="nt">$ref</span><span class="p">:</span> <span class="s">&#39;#/components/schemas/PolicyExecutionResponse&#39;</span>
        <span class="s">&#39;400&#39;</span><span class="p p-Indicator">:</span>
          <span class="nt">$ref</span><span class="p">:</span> <span class="s">&#39;#/components/responses/BadRequest&#39;</span>
        <span class="s">&#39;401&#39;</span><span class="p p-Indicator">:</span>
          <span class="nt">$ref</span><span class="p">:</span> <span class="s">&#39;#/components/responses/Unauthorized&#39;</span>
        <span class="s">&#39;403&#39;</span><span class="p p-Indicator">:</span>
          <span class="nt">$ref</span><span class="p">:</span> <span class="s">&#39;#/components/responses/Forbidden&#39;</span>
        <span class="s">&#39;500&#39;</span><span class="p p-Indicator">:</span>
          <span class="nt">$ref</span><span class="p">:</span> <span class="s">&#39;#/components/responses/InternalServerError&#39;</span>

<span class="nt">components</span><span class="p">:</span>
  <span class="nt">securitySchemes</span><span class="p">:</span>
    <span class="nt">bearerAuth</span><span class="p">:</span>
      <span class="nt">type</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">http</span>
      <span class="nt">description</span><span class="p">:</span> <span class="s">&quot;Bearer</span><span class="nv"> </span><span class="s">token</span><span class="nv"> </span><span class="s">(from</span><span class="nv"> </span><span class="s">client</span><span class="nv"> </span><span class="s">that</span><span class="nv"> </span><span class="s">called</span><span class="nv"> </span><span class="s">CPS-NCMP),used</span><span class="nv"> </span><span class="s">by</span><span class="nv"> </span><span class="s">policies</span><span class="nv"> </span><span class="s">to</span><span class="nv"> </span><span class="s">identify</span><span class="nv"> </span><span class="s">the</span><span class="nv"> </span><span class="s">client&quot;</span>
      <span class="nt">scheme</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">bearer</span>
  <span class="nt">schemas</span><span class="p">:</span>
    <span class="nt">ErrorMessage</span><span class="p">:</span>
      <span class="nt">type</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">object</span>
      <span class="nt">title</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">Error</span>
      <span class="nt">properties</span><span class="p">:</span>
        <span class="nt">status</span><span class="p">:</span>
          <span class="nt">type</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">string</span>
        <span class="nt">message</span><span class="p">:</span>
          <span class="nt">type</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">string</span>
        <span class="nt">details</span><span class="p">:</span>
          <span class="nt">type</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">string</span>

    <span class="nt">Request</span><span class="p">:</span>
      <span class="nt">type</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">object</span>
      <span class="nt">properties</span><span class="p">:</span>
        <span class="nt">schema</span><span class="p">:</span>
          <span class="nt">type</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">string</span>
          <span class="nt">description</span><span class="p">:</span> <span class="s">&quot;The</span><span class="nv"> </span><span class="s">schema</span><span class="nv"> </span><span class="s">for</span><span class="nv"> </span><span class="s">the</span><span class="nv"> </span><span class="s">data</span><span class="nv"> </span><span class="s">in</span><span class="nv"> </span><span class="s">this</span><span class="nv"> </span><span class="s">request.</span><span class="nv"> </span><span class="s">The</span><span class="nv"> </span><span class="s">schema</span><span class="nv"> </span><span class="s">name</span><span class="nv"> </span><span class="s">should</span><span class="nv"> </span><span class="s">include</span><span class="nv"> </span><span class="s">the</span><span class="nv"> </span><span class="s">type</span><span class="nv"> </span><span class="s">of</span><span class="nv"> </span><span class="s">operation&quot;</span>
          <span class="nt">example</span><span class="p">:</span> <span class="s">&quot;org.onap.cps.ncmp.policy-executor:ncmp-create-schema:1.0.0&quot;</span>
        <span class="nt">data</span><span class="p">:</span>
          <span class="nt">type</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">object</span>
          <span class="nt">description</span><span class="p">:</span> <span class="s">&quot;The</span><span class="nv"> </span><span class="s">data</span><span class="nv"> </span><span class="s">related</span><span class="nv"> </span><span class="s">to</span><span class="nv"> </span><span class="s">the</span><span class="nv"> </span><span class="s">request.</span><span class="nv"> </span><span class="s">The</span><span class="nv"> </span><span class="s">format</span><span class="nv"> </span><span class="s">of</span><span class="nv"> </span><span class="s">the</span><span class="nv"> </span><span class="s">object</span><span class="nv"> </span><span class="s">is</span><span class="nv"> </span><span class="s">determined</span><span class="nv"> </span><span class="s">by</span><span class="nv"> </span><span class="s">the</span><span class="nv"> </span><span class="s">schema&quot;</span>
      <span class="nt">required</span><span class="p">:</span>
        <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">schema</span>
        <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">data</span>

    <span class="nt">PolicyExecutionRequest</span><span class="p">:</span>
      <span class="nt">type</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">object</span>
      <span class="nt">properties</span><span class="p">:</span>
        <span class="nt">decisionType</span><span class="p">:</span>
          <span class="nt">type</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">string</span>
          <span class="nt">description</span><span class="p">:</span> <span class="s">&quot;The</span><span class="nv"> </span><span class="s">type</span><span class="nv"> </span><span class="s">of</span><span class="nv"> </span><span class="s">decision.</span><span class="nv"> </span><span class="s">Currently</span><span class="nv"> </span><span class="s">supported</span><span class="nv"> </span><span class="s">options:</span><span class="nv"> </span><span class="s">&#39;allow&#39;&quot;</span>
          <span class="nt">example</span><span class="p">:</span> <span class="s">&quot;allow&quot;</span>
        <span class="nt">requests</span><span class="p">:</span>
          <span class="nt">type</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">array</span>
          <span class="nt">items</span><span class="p">:</span>
            <span class="nt">$ref</span><span class="p">:</span> <span class="s">&#39;#/components/schemas/Request&#39;</span>
      <span class="nt">required</span><span class="p">:</span>
        <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">decisionType</span>
        <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">requests</span>

    <span class="nt">PolicyExecutionResponse</span><span class="p">:</span>
      <span class="nt">type</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">object</span>
      <span class="nt">properties</span><span class="p">:</span>
        <span class="nt">decisionId</span><span class="p">:</span>
          <span class="nt">type</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">string</span>
          <span class="nt">description</span><span class="p">:</span> <span class="s">&quot;Unique</span><span class="nv"> </span><span class="s">ID</span><span class="nv"> </span><span class="s">for</span><span class="nv"> </span><span class="s">the</span><span class="nv"> </span><span class="s">decision</span><span class="nv"> </span><span class="s">(for</span><span class="nv"> </span><span class="s">auditing</span><span class="nv"> </span><span class="s">purposes)&quot;</span>
          <span class="nt">example</span><span class="p">:</span> <span class="s">&quot;550e8400-e29b-41d4-a716-446655440000&quot;</span>
        <span class="nt">decision</span><span class="p">:</span>
          <span class="nt">type</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">string</span>
          <span class="nt">description</span><span class="p">:</span> <span class="s">&quot;The</span><span class="nv"> </span><span class="s">decision</span><span class="nv"> </span><span class="s">outcome.</span><span class="nv"> </span><span class="s">Currently</span><span class="nv"> </span><span class="s">supported</span><span class="nv"> </span><span class="s">values:</span><span class="nv"> </span><span class="s">&#39;allow&#39;,&#39;deny&#39;&quot;</span>
          <span class="nt">example</span><span class="p">:</span> <span class="s">&quot;deny&quot;</span>
        <span class="nt">message</span><span class="p">:</span>
          <span class="nt">type</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">string</span>
          <span class="nt">description</span><span class="p">:</span> <span class="s">&quot;Additional</span><span class="nv"> </span><span class="s">information</span><span class="nv"> </span><span class="s">regarding</span><span class="nv"> </span><span class="s">the</span><span class="nv"> </span><span class="s">decision</span><span class="nv"> </span><span class="s">outcome&quot;</span>
          <span class="nt">example</span><span class="p">:</span> <span class="s">&quot;Object</span><span class="nv"> </span><span class="s">locked</span><span class="nv"> </span><span class="s">due</span><span class="nv"> </span><span class="s">to</span><span class="nv"> </span><span class="s">recent</span><span class="nv"> </span><span class="s">change&quot;</span>
      <span class="nt">required</span><span class="p">:</span>
        <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">decisionId</span>
        <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">decision</span>
        <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">message</span>

  <span class="nt">responses</span><span class="p">:</span>
    <span class="nt">BadRequest</span><span class="p">:</span>
      <span class="nt">description</span><span class="p">:</span> <span class="s">&quot;Bad</span><span class="nv"> </span><span class="s">request&quot;</span>
      <span class="nt">content</span><span class="p">:</span>
        <span class="nt">application/json</span><span class="p">:</span>
          <span class="nt">schema</span><span class="p">:</span>
            <span class="nt">$ref</span><span class="p">:</span> <span class="s">&#39;#/components/schemas/ErrorMessage&#39;</span>
          <span class="nt">example</span><span class="p">:</span>
            <span class="nt">status</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">400</span>
            <span class="nt">message</span><span class="p">:</span> <span class="s">&quot;Bad</span><span class="nv"> </span><span class="s">Request&quot;</span>
            <span class="nt">details</span><span class="p">:</span> <span class="s">&quot;The</span><span class="nv"> </span><span class="s">provided</span><span class="nv"> </span><span class="s">request</span><span class="nv"> </span><span class="s">is</span><span class="nv"> </span><span class="s">not</span><span class="nv"> </span><span class="s">valid&quot;</span>
    <span class="nt">Unauthorized</span><span class="p">:</span>
      <span class="nt">description</span><span class="p">:</span> <span class="s">&quot;Unauthorized</span><span class="nv"> </span><span class="s">request&quot;</span>
      <span class="nt">content</span><span class="p">:</span>
        <span class="nt">application/json</span><span class="p">:</span>
          <span class="nt">schema</span><span class="p">:</span>
            <span class="nt">$ref</span><span class="p">:</span> <span class="s">&#39;#/components/schemas/ErrorMessage&#39;</span>
          <span class="nt">example</span><span class="p">:</span>
            <span class="nt">status</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">401</span>
            <span class="nt">message</span><span class="p">:</span> <span class="s">&quot;Unauthorized</span><span class="nv"> </span><span class="s">request&quot;</span>
            <span class="nt">details</span><span class="p">:</span> <span class="s">&quot;This</span><span class="nv"> </span><span class="s">request</span><span class="nv"> </span><span class="s">is</span><span class="nv"> </span><span class="s">unauthorized&quot;</span>
    <span class="nt">Forbidden</span><span class="p">:</span>
      <span class="nt">description</span><span class="p">:</span> <span class="s">&quot;Request</span><span class="nv"> </span><span class="s">forbidden&quot;</span>
      <span class="nt">content</span><span class="p">:</span>
        <span class="nt">application/json</span><span class="p">:</span>
          <span class="nt">schema</span><span class="p">:</span>
            <span class="nt">$ref</span><span class="p">:</span> <span class="s">&#39;#/components/schemas/ErrorMessage&#39;</span>
          <span class="nt">example</span><span class="p">:</span>
            <span class="nt">status</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">403</span>
            <span class="nt">message</span><span class="p">:</span> <span class="s">&quot;Request</span><span class="nv"> </span><span class="s">Forbidden&quot;</span>
            <span class="nt">details</span><span class="p">:</span> <span class="s">&quot;This</span><span class="nv"> </span><span class="s">request</span><span class="nv"> </span><span class="s">is</span><span class="nv"> </span><span class="s">forbidden&quot;</span>

    <span class="nt">InternalServerError</span><span class="p">:</span>
      <span class="nt">description</span><span class="p">:</span> <span class="s">&quot;Internal</span><span class="nv"> </span><span class="s">server</span><span class="nv"> </span><span class="s">error&quot;</span>
      <span class="nt">content</span><span class="p">:</span>
        <span class="nt">application/json</span><span class="p">:</span>
          <span class="nt">schema</span><span class="p">:</span>
            <span class="nt">$ref</span><span class="p">:</span> <span class="s">&#39;#/components/schemas/ErrorMessage&#39;</span>
          <span class="nt">example</span><span class="p">:</span>
            <span class="nt">status</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">500</span>
            <span class="nt">message</span><span class="p">:</span> <span class="s">&quot;Internal</span><span class="nv"> </span><span class="s">Server</span><span class="nv"> </span><span class="s">Error&quot;</span>
            <span class="nt">details</span><span class="p">:</span> <span class="s">&quot;Internal</span><span class="nv"> </span><span class="s">server</span><span class="nv"> </span><span class="s">error</span><span class="nv"> </span><span class="s">occurred&quot;</span>

    <span class="nt">NotImplemented</span><span class="p">:</span>
      <span class="nt">description</span><span class="p">:</span> <span class="s">&quot;Method</span><span class="nv"> </span><span class="s">not</span><span class="nv"> </span><span class="s">(yet)</span><span class="nv"> </span><span class="s">implemented&quot;</span>
      <span class="nt">content</span><span class="p">:</span>
        <span class="nt">application/json</span><span class="p">:</span>
          <span class="nt">schema</span><span class="p">:</span>
            <span class="nt">$ref</span><span class="p">:</span> <span class="s">&#39;#/components/schemas/ErrorMessage&#39;</span>
          <span class="nt">example</span><span class="p">:</span>
            <span class="nt">status</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">501</span>
            <span class="nt">message</span><span class="p">:</span> <span class="s">&quot;Not</span><span class="nv"> </span><span class="s">Implemented&quot;</span>
            <span class="nt">details</span><span class="p">:</span> <span class="s">&quot;Method</span><span class="nv"> </span><span class="s">not</span><span class="nv"> </span><span class="s">implemented&quot;</span>

  <span class="nt">parameters</span><span class="p">:</span>
    <span class="nt">actionInPath</span><span class="p">:</span>
      <span class="nt">name</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">action</span>
      <span class="nt">in</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">path</span>
      <span class="nt">description</span><span class="p">:</span> <span class="s">&quot;The</span><span class="nv"> </span><span class="s">policy</span><span class="nv"> </span><span class="s">action.</span><span class="nv"> </span><span class="s">Currently</span><span class="nv"> </span><span class="s">supported</span><span class="nv"> </span><span class="s">options:</span><span class="nv"> </span><span class="s">&#39;execute&#39;&quot;</span>
      <span class="nt">required</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">true</span>
      <span class="nt">schema</span><span class="p">:</span>
        <span class="nt">type</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">string</span>
        <span class="nt">example</span><span class="p">:</span> <span class="s">&quot;execute&quot;</span>
    <span class="nt">authorizationInHeader</span><span class="p">:</span>
      <span class="nt">name</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">Authorization</span>
      <span class="nt">in</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">header</span>
      <span class="nt">description</span><span class="p">:</span> <span class="s">&quot;Bearer</span><span class="nv"> </span><span class="s">token</span><span class="nv"> </span><span class="s">may</span><span class="nv"> </span><span class="s">be</span><span class="nv"> </span><span class="s">used</span><span class="nv"> </span><span class="s">to</span><span class="nv"> </span><span class="s">identify</span><span class="nv"> </span><span class="s">client</span><span class="nv"> </span><span class="s">as</span><span class="nv"> </span><span class="s">part</span><span class="nv"> </span><span class="s">of</span><span class="nv"> </span><span class="s">a</span><span class="nv"> </span><span class="s">policy&quot;</span>
      <span class="nt">schema</span><span class="p">:</span>
        <span class="nt">type</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">string</span>

<span class="nt">security</span><span class="p">:</span>
  <span class="p p-Indicator">-</span> <span class="nt">bearerAuth</span><span class="p">:</span> <span class="p p-Indicator">[]</span>
</pre></div>
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div id="lfcollabprojects-footer">
  <div class="gray-diagonal">
    <div class="footer-inner">
      <p>
        &copy; 2017 <a href="https://www.onap.org/">ONAP</a> a Linux Foundation
        Collaborative Project. All Rights Reserved.
      </p>
      <p>
        Linux Foundation is a registered trademark of The Linux Foundation.
        Linux is a registered
        <a
          href="http://www.linuxfoundation.org/programs/legal/trademark"
          title="Linux Mark Institute"
          >trademark</a
        >
        of Linus Torvalds.
      </p>
      <p>
        Please see our
        <a href="http://www.linuxfoundation.org/privacy">privacy policy</a> and
        <a href="http://www.linuxfoundation.org/terms">terms of use</a>
      </p>
    </div>
  </div>
</div>
</div> <!-- id=cgit -->
</body>
</html>
